/****************************************************************/
/* DATABASE INFO:                                               */
/*                                                              */
/*    Connects to MySQL, displays database information.         */
/****************************************************************/
signal on syntax                  /* capture SQL syntax errors  */


/* load all SQL functions, make them accessible to this script  */

if RxFuncAdd('SQLLoadFuncs','rexxsql', 'SQLLoadFuncs') <> 0 then
   say 'rxfuncadd failed, rc: ' rc

if SQLLoadFuncs() <> 0 then 
   say 'sqlloadfuncs failed, rc: ' rc


/* connect to the MySQL database, use default user/password     */

if SQLConnect(,,,'mysql') <> 0 then call sqlerr 'On connect'


/* get and display some database information                    */

say 'The Rexx/SQL Version is:' SQLVariable('VERSION')

if SQLGetinfo(,'DBMSNAME','desc.') <> 0 
    then call sqlerr 'Error getting db name'
    else say 'The database Name is: ' desc.1

if SQLGetinfo(,'DBMSVERSION','desc.') <> 0 
    then call sqlerr 'Error getting db version'
    else say 'The database Version is: ' desc.1


/* disconnnect from the database and drop the SQL functions     */

if SQLDisconnect() <> 0 then call sqlerr 'On disconnect'

if SQLDropFuncs('UNLOAD') <> 0 then
    say 'sqldropfuncs failed, rc: ' rc

exit 0


/* capture any SQL error and write out SQLCA error messages     */ 

sqlerr: procedure expose sqlca.
   parse arg msg
   say 'Program failed, message is: ' msg
   say sqlca.interrm                    /* write SQLCA messages */
   say 'SQL error is:' sqlca.sqlerrm    /* write SQLCA messages */
   call SQLDropFuncs 'UNLOAD'
   exit 99

syntax: procedure                  /* capture any syntax errors */
   say 'Syntax error on line: ' sigl    /* identify syntax error*/
   return
