/*******************************************************************/
/* REXX_TK EXAMPLE:                                                */
/*                                                                 */
/* A very simple example of the basics of Rexx/TK.                 */
/*******************************************************************/

/* load the Rexx/Tk external function library for use              */

call RxFuncAdd 'TkLoadFuncs','rexxtk','TkLoadFuncs'
if TkLoadFuncs() <> 0 then say 'ERROR- Cannot load Rexx/Tk library!'

call top_window              /* create and display the main window */

do forever                   /* the basic loop in this program     */
   interpret 'Call' TkWait() /* wait for user action, then respond */
end

call TkDropFuncs             /* drop the library functions         */
exit 0                       /* end of script                      */


top_window:     /* create/display top-level window *****************/

menubar = TkMenu('.m1')      /* make a menubar for the top window  */

/* create drop-down menu, add it to the top-level menubar          */

filemenu = TkMenu('.m1.file','-tearoff', 0)    /* create drop menu */
call TkAdd menubar, 'cascade', '-label', 'File', '-menu', filemenu

/* now add items to the File menu */

call TkAdd filemenu, 'command', '-label', 'Open...', '-rexx', 'getfile'
call TkAdd filemenu, 'command', '-label', 'Dir...' , '-rexx', 'getdirectory'
call TkAdd filemenu, 'command', '-label', 'Quit'   , '-rexx', 'exit_window'

call TkConfig '.', '-menu', menubar  /* attach menubar to window   */

return                               /* end of routine TOP_WINDOW  */


getfile:       /* get a filename from user   ***********************/

filename = TkGetOpenFile('-title','Open File')

if TkMessageBox('-message',filename,'-title', ,
   'Correct?','-type','ok','-icon','warning')  = 'ok' then nop

return


getdirectory:  /* get a directory name input ***********************/

dirname = TkChooseDirectory('-title','Choose Directory')

if TkMessageBox('-message',dirname,'-title', ,
   'Correct?','-type','ok','-icon','warning')  = 'ok' then nop

return


exit_window:   /* exits top-level window-END!***********************/

if TkMessageBox('-message','Are you sure?','-title', ,
   'Quit?','-type','yesno','-icon','warning')  = 'no' then Return

call TkDropFuncs             /* drop the library functions         */

exit 0                       /* end of script                      */


